# Case:
# -----
# Doctolib
#   id = 6278
# Industry: Healthcare > Healthcare, Medical Practioners, Specialized Health Services
#   tag_id = 81, 95, 213
# Technology: Data Mining
# Tag: IT, Doctors office, Dental

df_case <- df_entity %>% 
  filter(name == "Doctolib")

df_tag_wp_entity_case <- df_tag_wp_entity %>% 
  filter(entity_id == 6278)

df_tag_case <- df_tag %>% 
  filter(id %in% df_tag_wp_entity_case$tag_id)


s <- "select df_case.*, df_tag_wp_entity_case.* from df_case left join df_tag_wp_entity_case on df_case.id=df_tag_wp_entity_case.entity_id"
x <- sqldf(s)

s <- "select x.*, df_tag_case.* from x left join df_tag_case on x.tag_id = df_tag_case.id"
x <- sqldf(s)

colnames(x) <- c("entity_id", "name", "total_raised", "tag_id", "entity_id_1", 
                 "tag_id_1", "name", "description", "parent")

x <- x %>% 
  subset(select = c("entity_id", "name", "total_raised", "tag_id"))
