# case ----
xt_case <- xt %>% 
  filter(tag_id == 4) %>% 
  subset(select=2:length(colnames(xt))) %>% 
  t()

# add "employees"
rnames <- as.data.frame(row.names(xt_case))
colnames(rnames) <- c("employees")

xt_case <- cbind(rnames, xt_case)
row.names(xt_case) <- NULL

colnames(xt_case) <- c("employees", "sum_entities")

str(xt_case)

xt_case <- xt_case %>% 
  mutate(employees = as.numeric(as.character(xt_case$employees)),
         sum_employees = employees * sum_entities) %>% 
  subset(select = c("sum_employees"))
